Package csb :: Package statistics :: Package samplers :: Package mc :: Module neqsteppropagator :: Class HMCPropagation

[frames] | no frames]

# Class HMCPropagation

source code

             object --+
                      |
    AbstractPropagation --+
                          |
      AbstractMCPropagation --+
                              |
                             HMCPropagation

System propagation by HMC

Nested Classes
Inherited from `AbstractPropagation`: `__metaclass__`

Instance Methods

__init__(self, sys, param, evaluate_heat=True) x.__init__(...) initializes x; see help(type(x)) for signature | source code

Inherited from `AbstractPropagation`: `__call__` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| __abstractmethods__ = ``frozenset([``])``

Properties
| param
Inherited from `AbstractPropagation`: `evaluate_heat`, `sys` Inherited from `object`: `__class__`

Method Details

### __init__(self, sys, param, evaluate_heat=True)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `sys` (AbstractSystemInfo) - information about the current system setup
  - `param` (HMCPropagationParam) - parameters neccessary for propagating the system
  - `evaluate_heat` (boolean) - Allows to switch off the heat evaluation, which might not always be needed, in order to save computation time.
Overrides: object.__init__
  (inherited documentation)

Property Details

### param

Get Method:
  unreachable.param(self)
Set Method:
  unreachable.param(self, value)